CORREÇÃO: Erro ao atualizar o banco de dados do SSIS catálogo no SQL Server 2016 e 2017 Standard Edition

Aplica-se a: Microsoft SQL Server 2016 Service Pack 1SQL Server 2016 DeveloperSQL Server 2016 Enterprise

Sintomas


Suponha que você restaurar um banco de dados de catálogo do SQL Server Integration Services (SSIS) de uma versão mais antiga do SQL Server para uma instância do Microsoft SQL Server 2016 Standard Edition com Service Pack 1 (SP1) ou o SQL Server 2017 instalado. Quando você usa o Assistente de atualização do SSISDB para atualizar o banco de dados do catálogo do SSIS, pode ocorrer um erro semelhante ao seguinte:

A versão ou edição do SQL Server não atende aos requisitos mínimos para criar um banco de dados Master Data Services. (Microsoft.SqlServer.IntegrationServices.ISServerDBUpdate)

Resolução


Esse problema foi corrigido nas seguintes atualizações cumulativas para o SQL Server:

Atualização cumulativa 6 para SQL Server 2017

Atualização de cumulativo 8 para SQL Server 2016 SP1

Status


A Microsoft confirma que este é um problema em seus produtos listados na seção "Aplica-se a".

Referências


Saiba mais sobre a terminologia usada pela Microsoft para descrever as atualizações de software.